%define unmangled_version 2.4.0
%define release 1


# See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

%define debug_package %{nil}

%define original_name google-api-core
%define dashed_name google-api-core
%define module_to_save google

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           python-%{dashed_name}
Version:        2.4.0
Release:        %{mybuildnumber}%{?dist}
Summary:        Google API client core library

License:        Apache 2.0
Source:         %{url}/archive/v%{version}/%{original_name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-packaging

%global _description %{expand:
Core Library for Google Client Libraries
========================================

|pypi| |versions|

This library is not meant to stand-alone. Instead it defines
common helpers used by all Google API clients. For more information, see the
`documentation`_.

.. |pypi| image:: https://img.shields.io/pypi/v/google-api_core.svg
   :target: https://pypi.org/project/google-api_core/
.. |versions| image:: https://img.shields.io/pypi/pyversions/google-api_core.svg
   :target: https://pypi.org/project/google-api_core/
.. _documentation: https://googleapis.dev/python/google-api-core/latest


Supported Python Versions
-------------------------
Python >= 3.6


Unsupported Python Versions
---------------------------

Python == 2.7, Python == 3.5.

The last version of this library compatible with Python 2.7 and 3.5 is
`google-api_core==1.31.1`.


}

%description %_description

%package -n python3-%{dashed_name}
Summary:        %{summary}

%description -n python3-%{dashed_name} %_description

%prep
%autosetup -p1 -n %{original_name}-%{version}

%generate_buildrequires
if test -f tox.ini ; then

%pyproject_buildrequires -t

else

%pyproject_buildrequires

fi


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{module_to_save}


%check
if test -f tox.ini  ; then

%tox

fi

%files -n python3-%{dashed_name} -f %{pyproject_files}
%doc README*

%{python3_sitelib}/*.pth

%changelog
* Thu Jun 16 2022 Manuel Amador <rudd-o@rudd-o.com> 0.1.0-1
- This release date means nothing.
